declare filename "WindMgCr32.dsp"; declare name "WindMgCr32"; declare compilation_options    "-single -scal -I libraries/ -I project/ -lang wasm";
declare library_path "FaustDSP";
declare library_path "/libraries/stdfaust.lib";
declare library_path "/libraries/noises.lib";
declare library_path "/libraries/signals.lib";
declare library_path "/libraries/maths.lib";
declare library_path "/libraries/basics.lib";
declare library_path "/libraries/vaeffects.lib";
declare library_path "/libraries/filters.lib";
declare author "LP - granul part adapted from sfIter by Christophe Lebreton";
declare basics_lib_name "Faust Basic Element Library";
declare basics_lib_version "0.1";
declare copyright "(c)CIEREC 2017-2020";
declare filename "FaustDSP";
declare filters_lib_lowpass0_highpass1 "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>";
declare filters_lib_name "Faust Filters Library";
declare filters_lib_pole_author "Julius O. Smith III";
declare filters_lib_pole_copyright "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>";
declare filters_lib_pole_license "MIT-style STK-4.3 license";
declare license "BSD";
declare maths_lib_author "GRAME";
declare maths_lib_copyright "GRAME";
declare maths_lib_license "LGPL with exception";
declare maths_lib_name "Faust Math Library";
declare maths_lib_version "2.1";
declare name "WindMgCr3";
declare noises_lib_name "Faust Noise Generator Library";
declare noises_lib_version "0.0";
declare signals_lib_name "Faust Signal Routing Library";
declare signals_lib_version "0.0";
declare vaeffects_lib_moog_vcf_author "Julius O. Smith III";
declare vaeffects_lib_moog_vcf_copyright "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>";
declare vaeffects_lib_moog_vcf_license "MIT-style STK-4.3 license";
declare vaeffects_lib_name "Faust Virtual Analog Filter Effect Library";
declare vaeffects_lib_version "0.0";
declare version "1.03";
process = (((_,12345 : +)~((_,1103515245 : *),-1 : &),2147483647.0f : /),(1,(hslider("[4]Crounch", 0.0f, 0.0f, 1.0f, 0.01f) : _,0.00029999999999996696f : * : +~(_,0.99970000000000003f : *)) : -) : *),((((_,12345 : +)~((_,1103515245 : *),-1 : &),2147483647.0f : / : _,((_,((hslider("[6]Speed[unit:Hz]", 10.0f, 1.0f, 20.0f, 0.0001f) : _,9.9999999999988987e-05f : * : +~(_,0.99990000000000001f : *) : float),(192000.0f,(1.0f,fconstant(int fSamplingFreq, <math.h>) : max) : min : float) : /) : + : _,1.0f : fmod)~(_,1 : *) : _,0.001f : - : _<:(_,0.5f : < : _,100 : @),((hslider("[7]Proba[unit:%]", 70.0f, 50.0f, 100.0f, 1.0f),0.01f : * : _,9.9999999999988987e-05f : * : +~(_,0.99990000000000001f : *)),(_,((_,12345 : +)~((_,1103515245 : *),-1 : &),2147483647.0f : / : abs) : \(x1).(\(x2).(x2,(((x1 : mem),0 : <=),(x1,0 : >) : &) : * : +~(_,(1,(((x1 : mem),0 : <=),(x1,0 : >) : &) : -) : *)))) : >) : * : \(x3).((x3,(x3 : mem) : -),0 : >) : +~\(x4).(x4,((x4,0 : >),hslider("[5]Grain Size", 200.0f, 100.0f, 2205.0f, 1.0f) : /) : -) : _,0.0f : >) : *),(hslider("[4]Crounch", 0.0f, 0.0f, 1.0f, 0.01f) : _,0.00029999999999996696f : * : +~(_,0.99970000000000003f : *)) : *),2 : *) : + : _,(hslider("[1]Gain", 0.20000000000000001f, 0.0f, 1.0f, 0.01f) : _,0.00029999999999996696f : * : +~(_,0.99970000000000003f : *)) : * : (+ : +~(_,(1.0f,((((hslider("[2]Freq", 440.0f, 20.0f, 5000.0f, 1.0f) : _,0.00029999999999996696f : * : +~(_,0.99970000000000003f : *)),2.0f : *),3.1415926535897931f : *),(192000.0f,(1.0f,fconstant(int fSamplingFreq, <math.h>) : max) : min) : /) : -) : *) : +~(_,(1.0f,((((hslider("[2]Freq", 440.0f, 20.0f, 5000.0f, 1.0f) : _,0.00029999999999996696f : * : +~(_,0.99970000000000003f : *)),2.0f : *),3.1415926535897931f : *),(192000.0f,(1.0f,fconstant(int fSamplingFreq, <math.h>) : max) : min) : /) : -) : *) : +~(_,(1.0f,((((hslider("[2]Freq", 440.0f, 20.0f, 5000.0f, 1.0f) : _,0.00029999999999996696f : * : +~(_,0.99970000000000003f : *)),2.0f : *),3.1415926535897931f : *),(192000.0f,(1.0f,fconstant(int fSamplingFreq, <math.h>) : max) : min) : /) : -) : *) : +~(_,(1.0f,((((hslider("[2]Freq", 440.0f, 20.0f, 5000.0f, 1.0f) : _,0.00029999999999996696f : * : +~(_,0.99970000000000003f : *)),2.0f : *),3.1415926535897931f : *),(192000.0f,(1.0f,fconstant(int fSamplingFreq, <math.h>) : max) : min) : /) : -) : *) : _,((1.0f,(1.0f,((((hslider("[2]Freq", 440.0f, 20.0f, 5000.0f, 1.0f) : _,0.00029999999999996696f : * : +~(_,0.99970000000000003f : *)),2.0f : *),3.1415926535897931f : *),(192000.0f,(1.0f,fconstant(int fSamplingFreq, <math.h>) : max) : min) : /) : -) : -),4.0f : pow) : *)~(_,(-4.0f,(0,((hslider("[3]Res", 0.80000000000000004f, 0.0f, 0.995f, 0.001f) : _,0.00029999999999996696f : * : +~(_,0.99970000000000003f : *)),0.99999899999999997f : min) : max) : *) : *),0.5f : * : -0.98999999999999999f,_ : max : 0.98999999999999999f,_ : min : \(x5).(x5,(x5 : abs : _,(1,(-1,((192000.0f,(1.0f,fconstant(int fSamplingFreq, <math.h>) : max) : min),0.10000000000000001f : *) : / : exp) : -) : * : +~(_,(-1,((192000.0f,(1.0f,fconstant(int fSamplingFreq, <math.h>) : max) : min),0.10000000000000001f : *) : / : exp) : *) : \(x6).(20,(x6 : log10) : *) : hbargraph("level", -96.0f, 10.0f)) : attach)<:_,_;
